/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "game/entity/entity.h"
#include "game/map/map.h"

#define GAME_ENTITIES_MAX 256

typedef struct {
  entity_t entities[GAME_ENTITIES_MAX];
  uint32_t entityCount;
  map_t map;
} game_t;

extern game_t GAME;

/**
 * Initializes the game.
 */
void gameInit(void);